pro ds9_draw_vector, lu_out, x0, y0, angle, length, thick, color, TEXT=text
	;
	case color of
	  'gray': ocolor = '#8080'
	  'gray-lt': ocolor = '#C0C0'
	  'gray-dk': ocolor = '5050'
	  else: ocolor = color
	endcase
	;
	ca = cos(angle*1.745e-2)
	sa = sin(angle*1.745e-2)
	;
	x1 = x0 - length * sa
	y1 = y0 + length * ca
	x2 = x0 + length * sa
	y2 = y0 - length * ca
	;
	if(N_ELEMENTS(text) eq 0) then begin
		printf, lu_out, x1, y1, x2, y2, ocolor, thick, $
			format='("line",f7.1," ",f7.1," ",f7.1," ",f7.1," # color=",a," width= ",i2)'
	endif else begin
		printf, lu_out, x1, y1, x2, y2, ocolor, thick, text, $
		format='("line",f7.1," ",f7.1," ",f7.1," ",f7.1," # color=",a," width= ",i2," text={",a,"}")'
	endelse
end