; 
; IDL Widget Interface Procedures. This Code is automatically 
;     generated and should not be modified.

; 
; Generated on:	07/26/2021 11:13.03
; 
pro PPT_TLB_event, Event

  wTarget = (widget_info(Event.id,/NAME) eq 'TREE' ?  $
      widget_info(Event.id, /tree_root) : event.id)


  wWidget =  Event.top

  case wTarget of

    Widget_Info(wWidget, FIND_BY_UNAME='PPT_TLB'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Exit_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        PPT_Exit_Asserted, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='PPT_Tabs'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TAB' )then $
        PPT_Tab_Change, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_Select_PPOL_Directory'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Select_PPOL_Dir, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='List_Images'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_LIST' )then $
        Image_Select, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Tab1_Tab_Base'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TAB' )then $
        T1_Tab_Change, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_Select_POLCATs_to_Merge'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Select_Merge_POLCATs, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_Merge_POLCATs'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Merge_POLCATs, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_Save_Merged_POLCAT'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Name_Merged_POLCAT, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_Select_Comparisons'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Select_POLCATs_to_Compare, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_Compare_POLCATs'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Compare_POLCATs, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_Select_Combined_POLCAT_Name'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Select_Combined_POLCAT_Name, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_Select_Analysis_POLCAT'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Select_Analysis_POLCAT, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_B_Select_Image'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Select_B_Image, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_B_Select_Directory'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Select_B_Directory, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Draw_sP_vs_mH'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DRAW' )then $
        if( Event.type eq 2 )then $
          sP_Plot_Handler, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DRAW' )then $
        if( Event.type eq 5 )then $
          sP_Plot_Handler, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DRAW' )then $
        if( Event.type eq 6 )then $
          sP_Plot_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Draw_PSNR_vs_mH'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DRAW' )then $
        if( Event.type eq 2 )then $
          PSNR_Plot_Handler, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DRAW' )then $
        if( Event.type eq 5 )then $
          PSNR_Plot_Handler, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DRAW' )then $
        if( Event.type eq 6 )then $
          PSNR_Plot_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Text_Mag_Limit'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_CH' )then $
        Set_Mag_Limit, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_STR' )then $
        Set_Mag_Limit, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Text_PSNR_Limit'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_CH' )then $
        Set_PSNR_Limit, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_STR' )then $
        Set_PSNR_Limit, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_DEL' )then $
        Set_PSNR_Limit, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_SEL' )then $
        Set_PSNR_Limit, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Text_sP_Limit'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_CH' )then $
        Set_sP_Limit, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_STR' )then $
        Set_sP_Limit, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_DEL' )then $
        Set_sP_Limit, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_SEL' )then $
        Set_sP_Limit, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_Write_Selected'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Write_Selected_Data, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_Write_Rejected'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Write_Rejected_Data, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_PS_Plot_PSNR_vs_Mag'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Print_PSNR_vs_Mag, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_PS_Plot_sP_vs_Mag'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Print_sP_vs_Mag, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_T2_Selected_Color'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_T2_Selected_Color, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_T2_LowP_Color'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_T2_LowP_Color, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_T2_Faint_Color'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_T2_Faint_Color, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_Divider_Color'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_Divider_Color, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_Reference_Color'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_Reference_Color, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_Reference_Length'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_Reference_Length, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_Vector_Thickness'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_Vector_Thickness, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_Vector_Length'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_Vector_Length, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Radio_Length_Pol'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Toggle_Length_Pol, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Radio_Length_Uniform'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Toggle_Length_Uniform, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Radio_Length_Log'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Toggle_Length_Log, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_PSNR_2'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_PSNR_2, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_PSNR_3'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_PSNR_3, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_PSNR_5'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_PSNR_5, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_PSNR_7'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_PSNR_7, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_PSNR_10'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_PSNR_10, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_Uniform_Color'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_Uniform_Color, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Radio_Color_PSNR'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Toggle_Color_PSNR, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Radio_Color_Uniform'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Toggle_Color_Uniform, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_PSNR_lt_2'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_PSNR_lt_2, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Checkbox_Show_Circles'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Toggle_Show_Circles, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Checkbox_Separate_Upper_Limits'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Toggle_Split_Upper_Limits, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_Faint_Color'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_Faint_Color, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_High_LowP_Color'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_High_LowP_Color, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_Med_LowP_Color'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_Med_LowP_Color, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_Low_LowP_Color'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_Low_LowP_Color, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_Upper_Radius'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_Upper_Radius, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Droplist_Upper_Thickness'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        Select_Upper_Thickness, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Draw_Final_Plot'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TRACKING' )then $
        Final_Plot_Handler, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DRAW' )then $
        if( Event.type eq 2 )then $
          Final_Plot_Handler, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DRAW' )then $
        if( Event.type eq 5 )then $
          Final_Plot_Handler, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DRAW' )then $
        if( Event.type eq 6 )then $
          Final_Plot_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_Write_Region'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Write_DS9_Region_File, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_Write_Postscript'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Write_Postscript_File, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_Plot_Title'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Toggle_Plot_Title, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Text_Plot_Offset'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_CH' )then $
        Edit_Plot_Offset, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_STR' )then $
        Edit_Plot_Offset, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_DEL' )then $
        Edit_Plot_Offset, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_SEL' )then $
        Edit_Plot_Offset, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Text_Plot_Range'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_CH' )then $
        Edit_Plot_Range, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_STR' )then $
        Edit_Plot_Range, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_DEL' )then $
        Edit_Plot_Range, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_SEL' )then $
        Edit_Plot_Range, Event
    end
    else:
  endcase

end

pro PPT_TLB, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_

  Resolve_Routine, 'MSP_PPT_eventcb',/COMPILE_FULL_FILE  ; Load event callback routines
  
  PPT_TLB = Widget_Base( GROUP_LEADER=wGroup, UNAME='PPT_TLB'  $
      ,XOFFSET=5 ,YOFFSET=5 ,SCR_XSIZE=1000 ,SCR_YSIZE=730  $
      ,NOTIFY_REALIZE='PPT_Realize' ,TITLE='Mimir Software Program -'+ $
      ' Polarization Plotting Tool (MSP-PPT) - v1.3 - DPC = 20200818'  $
      ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  PPT_PostCreation, PPT_TLB, _EXTRA=_VWBExtra_

  
  Text_Zprint = Widget_Text(PPT_TLB, UNAME='Text_Zprint' ,FRAME=1  $
      ,XOFFSET=7 ,YOFFSET=603 ,SCR_XSIZE=874 ,SCR_YSIZE=84 ,/SCROLL  $
      ,/NO_NEWLINE ,/WRAP ,VALUE=[ '<None>' ] ,XSIZE=20 ,YSIZE=1)

  
  Exit_Button = Widget_Button(PPT_TLB, UNAME='Exit_Button'  $
      ,XOFFSET=920 ,YOFFSET=630 ,/ALIGN_CENTER ,VALUE='Exit')

  
  PPT_Tabs = Widget_Tab(PPT_TLB, UNAME='PPT_Tabs' ,XOFFSET=7  $
      ,SCR_XSIZE=957 ,SCR_YSIZE=596 ,MULTILINE=1)

  
  Tab1_Base = Widget_Base(PPT_Tabs, UNAME='Tab1_Base' ,SCR_XSIZE=949  $
      ,SCR_YSIZE=570 ,TITLE='1. Select PPOL Directory and Merging,'+ $
      ' Comparing, Selecting of POLCATs' ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  Button_Select_PPOL_Directory = Widget_Button(Tab1_Base,  $
      UNAME='Button_Select_PPOL_Directory' ,XOFFSET=28 ,YOFFSET=55  $
      ,/ALIGN_CENTER ,VALUE='A.1. Select Existing Top-Level PPOL'+ $
      ' Directory')

  
  WID_LABEL_1 = Widget_Label(Tab1_Base, UNAME='WID_LABEL_1'  $
      ,XOFFSET=134 ,YOFFSET=121 ,/ALIGN_LEFT ,VALUE='PPOL Directory')

  
  Text_PPOL_Directory = Widget_Text(Tab1_Base,  $
      UNAME='Text_PPOL_Directory' ,XOFFSET=39 ,YOFFSET=87  $
      ,SCR_XSIZE=337 ,SCR_YSIZE=21 ,VALUE=[ '<None>' ] ,XSIZE=60  $
      ,YSIZE=1)

  
  List_Images = Widget_List(Tab1_Base, UNAME='List_Images'  $
      ,XOFFSET=50 ,YOFFSET=186 ,SCR_XSIZE=277 ,SCR_YSIZE=266 ,VALUE=[  $
      '<None>' ] ,XSIZE=11 ,YSIZE=2)

  
  WID_LABEL_2 = Widget_Label(Tab1_Base, UNAME='WID_LABEL_2'  $
      ,XOFFSET=31 ,YOFFSET=162 ,/ALIGN_LEFT ,VALUE='A.2. Select Image'+ $
      ' from List (all are Deep Coadded types)')

  
  WID_LABEL_8 = Widget_Label(Tab1_Base, UNAME='WID_LABEL_8'  $
      ,XOFFSET=487 ,YOFFSET=31 ,SCR_XSIZE=190 ,SCR_YSIZE=18  $
      ,/ALIGN_LEFT ,VALUE='3. Merge, Compare, or Select POLCATs')

  
  Tab1_Tab_Base = Widget_Tab(Tab1_Base, UNAME='Tab1_Tab_Base'  $
      ,FRAME=1 ,XOFFSET=418 ,YOFFSET=65 ,SCR_XSIZE=501 ,SCR_YSIZE=352  $
      ,MULTILINE=1)

  
  WID_BASE_10 = Widget_Base(Tab1_Tab_Base, UNAME='WID_BASE_10'  $
      ,FRAME=1 ,SCR_XSIZE=491 ,SCR_YSIZE=324 ,TITLE='Merge POLCATs'  $
      ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  Button_Select_POLCATs_to_Merge = Widget_Button(WID_BASE_10,  $
      UNAME='Button_Select_POLCATs_to_Merge' ,XOFFSET=34 ,YOFFSET=73  $
      ,/ALIGN_CENTER ,VALUE='Select POLCATs for Merging')

  
  Text_N_Merge_POLCATs = Widget_Text(WID_BASE_10,  $
      UNAME='Text_N_Merge_POLCATs' ,XOFFSET=41 ,YOFFSET=106 ,VALUE=[  $
      '<None>' ] ,XSIZE=8 ,YSIZE=1)

  
  WID_LABEL_9 = Widget_Label(WID_BASE_10, UNAME='WID_LABEL_9'  $
      ,XOFFSET=101 ,YOFFSET=109 ,/ALIGN_LEFT ,VALUE='Number of'+ $
      ' POLCATs to Merge')

  
  Button_Merge_POLCATs = Widget_Button(WID_BASE_10,  $
      UNAME='Button_Merge_POLCATs' ,XOFFSET=48 ,YOFFSET=237  $
      ,/ALIGN_CENTER ,VALUE='Merge POLCATs')

  
  Text_Saved_Merged_POLCAT_Name = Widget_Text(WID_BASE_10,  $
      UNAME='Text_Saved_Merged_POLCAT_Name' ,XOFFSET=46 ,YOFFSET=192  $
      ,VALUE=[ '<None>' ] ,XSIZE=35 ,YSIZE=1)

  
  WID_LABEL_10 = Widget_Label(WID_BASE_10, UNAME='WID_LABEL_10'  $
      ,XOFFSET=291 ,YOFFSET=194 ,/ALIGN_LEFT ,VALUE='Merged POLCAT')

  
  Text_N_Stars_in_Merged_POLCAT = Widget_Text(WID_BASE_10,  $
      UNAME='Text_N_Stars_in_Merged_POLCAT' ,XOFFSET=58 ,YOFFSET=268  $
      ,VALUE=[ '<None>' ] ,XSIZE=8 ,YSIZE=1)

  
  WID_LABEL_14 = Widget_Label(WID_BASE_10, UNAME='WID_LABEL_14'  $
      ,XOFFSET=116 ,YOFFSET=270 ,/ALIGN_LEFT ,VALUE='Total Stars')

  
  Button_Save_Merged_POLCAT = Widget_Button(WID_BASE_10,  $
      UNAME='Button_Save_Merged_POLCAT' ,XOFFSET=42 ,YOFFSET=157  $
      ,/ALIGN_CENTER ,VALUE='Select Name for Merged POLCAT')

  
  WID_LABEL_6 = Widget_Label(WID_BASE_10, UNAME='WID_LABEL_6'  $
      ,XOFFSET=12 ,YOFFSET=14 ,/ALIGN_LEFT ,VALUE='Merge two or more'+ $
      ' POLCATs into one Merged POLCAT File')

  
  WID_LABEL_23 = Widget_Label(WID_BASE_10, UNAME='WID_LABEL_23'  $
      ,XOFFSET=13 ,YOFFSET=36 ,/ALIGN_LEFT ,VALUE='Matching Stars'+ $
      ' Have Stokes Parameters Averaged using Variance Weighting')

  
  WID_BASE_11 = Widget_Base(Tab1_Tab_Base, UNAME='WID_BASE_11'  $
      ,FRAME=1 ,SCR_XSIZE=491 ,SCR_YSIZE=324 ,TITLE='Compare POLCATs'  $
      ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  Button_Select_Comparisons = Widget_Button(WID_BASE_11,  $
      UNAME='Button_Select_Comparisons' ,XOFFSET=19 ,YOFFSET=87  $
      ,/ALIGN_CENTER ,VALUE='Select POLCATs for Comparing')

  
  Button_Compare_POLCATs = Widget_Button(WID_BASE_11,  $
      UNAME='Button_Compare_POLCATs' ,XOFFSET=33 ,YOFFSET=238  $
      ,/ALIGN_CENTER ,VALUE='Compare POLCATs')

  
  Text_Common_Stars = Widget_Text(WID_BASE_11,  $
      UNAME='Text_Common_Stars' ,XOFFSET=173 ,YOFFSET=236 ,VALUE=[  $
      '<None>' ] ,XSIZE=8 ,YSIZE=1)

  
  WID_LABEL_11 = Widget_Label(WID_BASE_11, UNAME='WID_LABEL_11'  $
      ,XOFFSET=234 ,YOFFSET=240 ,/ALIGN_LEFT ,VALUE='Common Stars')

  
  Text_Unique_Stars = Widget_Text(WID_BASE_11,  $
      UNAME='Text_Unique_Stars' ,XOFFSET=173 ,YOFFSET=265 ,VALUE=[  $
      '<None>' ] ,XSIZE=8 ,YSIZE=1)

  
  WID_LABEL_12 = Widget_Label(WID_BASE_11, UNAME='WID_LABEL_12'  $
      ,XOFFSET=234 ,YOFFSET=267 ,/ALIGN_LEFT ,VALUE='Unique Stars')

  
  Text_Total_Stars = Widget_Text(WID_BASE_11,  $
      UNAME='Text_Total_Stars' ,XOFFSET=332 ,YOFFSET=246 ,VALUE=[  $
      '<None>' ] ,XSIZE=8 ,YSIZE=1)

  
  WID_LABEL_13 = Widget_Label(WID_BASE_11, UNAME='WID_LABEL_13'  $
      ,XOFFSET=395 ,YOFFSET=251 ,/ALIGN_LEFT ,VALUE='Total Stars')

  
  Button_Select_Combined_POLCAT_Name = Widget_Button(WID_BASE_11,  $
      UNAME='Button_Select_Combined_POLCAT_Name' ,XOFFSET=24  $
      ,YOFFSET=160 ,/ALIGN_CENTER ,VALUE='Select Name for Combined'+ $
      ' Output POLCAT')

  
  Text_N_Comparison_POLCATs = Widget_Text(WID_BASE_11,  $
      UNAME='Text_N_Comparison_POLCATs' ,XOFFSET=47 ,YOFFSET=121  $
      ,XSIZE=8 ,YSIZE=1)

  
  WID_LABEL_5 = Widget_Label(WID_BASE_11, UNAME='WID_LABEL_5'  $
      ,XOFFSET=111 ,YOFFSET=123 ,/ALIGN_LEFT ,VALUE='Number of'+ $
      ' POLCATs to Compare')

  
  WID_LABEL_24 = Widget_Label(WID_BASE_11, UNAME='WID_LABEL_24'  $
      ,XOFFSET=16 ,YOFFSET=17 ,/ALIGN_LEFT ,VALUE='Compare two or'+ $
      ' more POLCATs (usually comparing a Merged with a MetaGrouped)')

  
  WID_LABEL_25 = Widget_Label(WID_BASE_11, UNAME='WID_LABEL_25'  $
      ,XOFFSET=17 ,YOFFSET=38 ,/ALIGN_LEFT ,VALUE='All un-matched'+ $
      ' (unique) stars are saved')

  
  WID_LABEL_26 = Widget_Label(WID_BASE_11, UNAME='WID_LABEL_26'  $
      ,XOFFSET=17 ,YOFFSET=60 ,/ALIGN_LEFT ,VALUE='For each matched'+ $
      ' star, the one with the lowest polarization uncertainty is save'+ $
      'd')

  
  Text_Output_Combined_POLCAT = Widget_Text(WID_BASE_11,  $
      UNAME='Text_Output_Combined_POLCAT' ,XOFFSET=30 ,YOFFSET=195  $
      ,XSIZE=35 ,YSIZE=1)

  
  WID_LABEL_27 = Widget_Label(WID_BASE_11, UNAME='WID_LABEL_27'  $
      ,XOFFSET=261 ,YOFFSET=196 ,/ALIGN_LEFT ,VALUE='Combined'+ $
      ' POLCAT')

  
  Tab1_Tab1_Base = Widget_Base(Tab1_Tab_Base, UNAME='Tab1_Tab1_Base'  $
      ,FRAME=1 ,SCR_XSIZE=491 ,SCR_YSIZE=324 ,TITLE='Select POLCAT'+ $
      ' for Analysis and Plotting' ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  Button_Select_Analysis_POLCAT = Widget_Button(Tab1_Tab1_Base,  $
      UNAME='Button_Select_Analysis_POLCAT' ,XOFFSET=27 ,YOFFSET=77  $
      ,/ALIGN_CENTER ,VALUE='Select POLCAT for Analysis')

  
  Text_Analysis_POLCAT = Widget_Text(Tab1_Tab1_Base,  $
      UNAME='Text_Analysis_POLCAT' ,XOFFSET=33 ,YOFFSET=117 ,VALUE=[  $
      '<None>' ] ,XSIZE=40 ,YSIZE=1)

  
  WID_LABEL_16 = Widget_Label(Tab1_Tab1_Base, UNAME='WID_LABEL_16'  $
      ,XOFFSET=298 ,YOFFSET=119 ,/ALIGN_LEFT ,VALUE='POLCAT to'+ $
      ' Analyze')

  
  WID_LABEL_15 = Widget_Label(Tab1_Tab1_Base, UNAME='WID_LABEL_15'  $
      ,XOFFSET=23 ,YOFFSET=19 ,/ALIGN_LEFT ,VALUE='Select a POLCAT'+ $
      ' (of any type) for the remainder of the analysis')

  
  WID_LABEL_28 = Widget_Label(Tab1_Tab1_Base, UNAME='WID_LABEL_28'  $
      ,XOFFSET=50 ,YOFFSET=42 ,/ALIGN_LEFT ,VALUE='(includes plotting'+ $
      ' and application of stellar selection criteria)')

  
  Text_POLCAT_Type = Widget_Text(Tab1_Tab1_Base,  $
      UNAME='Text_POLCAT_Type' ,XOFFSET=36 ,YOFFSET=170 ,XSIZE=20  $
      ,YSIZE=1)

  
  WID_LABEL_29 = Widget_Label(Tab1_Tab1_Base, UNAME='WID_LABEL_29'  $
      ,XOFFSET=178 ,YOFFSET=172 ,/ALIGN_LEFT ,VALUE='Type of POLCAT'+ $
      ' found')

  
  WID_LABEL_41 = Widget_Label(Tab1_Base, UNAME='WID_LABEL_41'  $
      ,XOFFSET=18 ,YOFFSET=22 ,/ALIGN_LEFT ,VALUE='1. Select Image'+ $
      ' and Directory, using Method A or Method B below')

  
  Button_B_Select_Image = Widget_Button(Tab1_Base,  $
      UNAME='Button_B_Select_Image' ,XOFFSET=19 ,YOFFSET=483  $
      ,/ALIGN_CENTER ,VALUE='B.1. Direct Image Selection')

  
  Button_B_Select_Directory = Widget_Button(Tab1_Base,  $
      UNAME='Button_B_Select_Directory' ,XOFFSET=17 ,YOFFSET=519  $
      ,/ALIGN_CENTER ,VALUE='B.2. Select POLCATs Directory')

  
  WID_BASE_7 = Widget_Base(PPT_Tabs, UNAME='WID_BASE_7'  $
      ,SCR_XSIZE=949 ,SCR_YSIZE=570 ,TITLE='2. Plots and Selection'+ $
      ' Criteria' ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  Draw_sP_vs_mH = Widget_Draw(WID_BASE_7, UNAME='Draw_sP_vs_mH'  $
      ,XOFFSET=558 ,YOFFSET=30 ,SCR_XSIZE=379 ,SCR_YSIZE=360  $
      ,/MOTION_EVENTS ,/KEYBOARD_EVENTS)

  
  WID_LABEL_4 = Widget_Label(WID_BASE_7, UNAME='WID_LABEL_4'  $
      ,XOFFSET=601 ,YOFFSET=5 ,/ALIGN_LEFT ,VALUE='Pol. Uncert. vs'+ $
      ' Magnitude Plot')

  
  Draw_PSNR_vs_mH = Widget_Draw(WID_BASE_7, UNAME='Draw_PSNR_vs_mH'  $
      ,XOFFSET=155 ,YOFFSET=31 ,SCR_XSIZE=398 ,SCR_YSIZE=357  $
      ,/MOTION_EVENTS ,/KEYBOARD_EVENTS)

  
  WID_LABEL_3 = Widget_Label(WID_BASE_7, UNAME='WID_LABEL_3'  $
      ,XOFFSET=271 ,YOFFSET=5 ,/ALIGN_LEFT ,VALUE='PSNR vs Magnitude'+ $
      ' Plot')

  
  WID_LABEL_0 = Widget_Label(WID_BASE_7, UNAME='WID_LABEL_0'  $
      ,XOFFSET=15 ,YOFFSET=12 ,/ALIGN_LEFT ,VALUE='Set Selection'+ $
      ' Limits')

  
  Text_Mag_Limit = Widget_Text(WID_BASE_7, UNAME='Text_Mag_Limit'  $
      ,XOFFSET=61 ,YOFFSET=42 ,/EDITABLE ,/ALL_EVENTS ,VALUE=[  $
      '<None>' ] ,XSIZE=12 ,YSIZE=1)

  
  WID_LABEL_17 = Widget_Label(WID_BASE_7, UNAME='WID_LABEL_17'  $
      ,XOFFSET=13 ,YOFFSET=46 ,/ALIGN_LEFT ,VALUE='Mag <=')

  
  Text_PSNR_Limit = Widget_Text(WID_BASE_7, UNAME='Text_PSNR_Limit'  $
      ,XOFFSET=61 ,YOFFSET=74 ,/EDITABLE ,/ALL_EVENTS ,VALUE=[  $
      '<None>' ] ,XSIZE=12 ,YSIZE=1)

  
  WID_LABEL_18 = Widget_Label(WID_BASE_7, UNAME='WID_LABEL_18'  $
      ,XOFFSET=11 ,YOFFSET=75 ,/ALIGN_LEFT ,VALUE='PSNR >=')

  
  Text_sP_Limit = Widget_Text(WID_BASE_7, UNAME='Text_sP_Limit'  $
      ,XOFFSET=59 ,YOFFSET=150 ,/EDITABLE ,/ALL_EVENTS ,VALUE=[  $
      '<None>' ] ,XSIZE=12 ,YSIZE=1)

  
  WID_LABEL_19 = Widget_Label(WID_BASE_7, UNAME='WID_LABEL_19'  $
      ,XOFFSET=8 ,YOFFSET=150 ,/ALIGN_LEFT ,VALUE='sig_P <=')

  
  Text_Selected_Stars = Widget_Text(WID_BASE_7,  $
      UNAME='Text_Selected_Stars' ,XOFFSET=13 ,YOFFSET=248 ,VALUE=[  $
      '<None>' ] ,XSIZE=8 ,YSIZE=1)

  
  WID_LABEL_20 = Widget_Label(WID_BASE_7, UNAME='WID_LABEL_20'  $
      ,XOFFSET=82 ,YOFFSET=251 ,/ALIGN_LEFT ,VALUE='Selected')

  
  Text_Rejected_Stars = Widget_Text(WID_BASE_7,  $
      UNAME='Text_Rejected_Stars' ,XOFFSET=13 ,YOFFSET=280 ,VALUE=[  $
      '<None>' ] ,XSIZE=8 ,YSIZE=1)

  
  WID_LABEL_21 = Widget_Label(WID_BASE_7, UNAME='WID_LABEL_21'  $
      ,XOFFSET=77 ,YOFFSET=285 ,/ALIGN_LEFT ,VALUE='Rejected')

  
  Button_Write_Selected = Widget_Button(WID_BASE_7,  $
      UNAME='Button_Write_Selected' ,XOFFSET=12 ,YOFFSET=451  $
      ,/ALIGN_CENTER ,VALUE='Write POLCAT of Selected Data')

  
  Button_Write_Rejected = Widget_Button(WID_BASE_7,  $
      UNAME='Button_Write_Rejected' ,XOFFSET=13 ,YOFFSET=486  $
      ,/ALIGN_CENTER ,VALUE='Write POLCAT of Rejected Data')

  
  Text_sPA_Limit = Widget_Text(WID_BASE_7, UNAME='Text_sPA_Limit'  $
      ,XOFFSET=10 ,YOFFSET=105 ,VALUE=[ '<None>' ] ,XSIZE=8 ,YSIZE=1)

  
  WID_LABEL_30 = Widget_Label(WID_BASE_7, UNAME='WID_LABEL_30'  $
      ,XOFFSET=68 ,YOFFSET=108 ,/ALIGN_LEFT ,VALUE='Resulting'+ $
      ' sig_PA')

  
  WID_LABEL_31 = Widget_Label(WID_BASE_7, UNAME='WID_LABEL_31'  $
      ,XOFFSET=46 ,YOFFSET=222 ,/ALIGN_LEFT ,VALUE='Stars')

  
  Text_This_POLCAT = Widget_Text(WID_BASE_7, UNAME='Text_This_POLCAT'  $
      ,XOFFSET=19 ,YOFFSET=400 ,VALUE=[ '<None>' ] ,XSIZE=45  $
      ,YSIZE=1)

  
  WID_LABEL_32 = Widget_Label(WID_BASE_7, UNAME='WID_LABEL_32'  $
      ,XOFFSET=304 ,YOFFSET=403 ,/ALIGN_LEFT ,VALUE='Displayed POLCAT'+ $
      ' Values')

  
  Text_Upper = Widget_Text(WID_BASE_7, UNAME='Text_Upper' ,XOFFSET=43  $
      ,YOFFSET=317 ,VALUE=[ '<None>' ] ,XSIZE=8 ,YSIZE=1)

  
  WID_LABEL_33 = Widget_Label(WID_BASE_7, UNAME='WID_LABEL_33'  $
      ,XOFFSET=102 ,YOFFSET=321 ,/ALIGN_LEFT ,VALUE='Low-P')

  
  Text_False = Widget_Text(WID_BASE_7, UNAME='Text_False' ,XOFFSET=41  $
      ,YOFFSET=348 ,VALUE=[ '<None>' ] ,XSIZE=8 ,YSIZE=1)

  
  WID_LABEL_34 = Widget_Label(WID_BASE_7, UNAME='WID_LABEL_34'  $
      ,XOFFSET=99 ,YOFFSET=347 ,/ALIGN_LEFT ,VALUE='Faint')

  
  Button_PS_Plot_PSNR_vs_Mag = Widget_Button(WID_BASE_7,  $
      UNAME='Button_PS_Plot_PSNR_vs_Mag' ,XOFFSET=273 ,YOFFSET=532  $
      ,/ALIGN_CENTER ,VALUE='Postscript Print PSNR vs Mag Plot')

  
  Button_PS_Plot_sP_vs_Mag = Widget_Button(WID_BASE_7,  $
      UNAME='Button_PS_Plot_sP_vs_Mag' ,XOFFSET=687 ,YOFFSET=535  $
      ,/ALIGN_CENTER ,VALUE='Postscript Print sP vs Mag Plot')

  
  Droplist_T2_Selected_Color = Widget_Droplist(WID_BASE_7,  $
      UNAME='Droplist_T2_Selected_Color' ,XOFFSET=440 ,YOFFSET=427  $
      ,TITLE='Color for Selected Stars' ,VALUE=[ 'Red', 'Blue',  $
      'Green' ])

  
  Droplist_T2_LowP_Color = Widget_Droplist(WID_BASE_7,  $
      UNAME='Droplist_T2_LowP_Color' ,XOFFSET=406 ,YOFFSET=455  $
      ,TITLE='Color for Low-P Rejected Stars' ,VALUE=[ 'Green',  $
      'Red', 'Blue' ])

  
  Droplist_T2_Faint_Color = Widget_Droplist(WID_BASE_7,  $
      UNAME='Droplist_T2_Faint_Color' ,XOFFSET=412 ,YOFFSET=483  $
      ,TITLE='Color for Faint Rejected Stars' ,VALUE=[ 'Blue',  $
      'Green', 'Red' ])

  
  Droplist_Divider_Color = Widget_Droplist(WID_BASE_7,  $
      UNAME='Droplist_Divider_Color' ,XOFFSET=682 ,YOFFSET=450  $
      ,TITLE='Color for Separating Lines' ,VALUE=[ 'magenta' ])

  
  WID_BASE_8 = Widget_Base(PPT_Tabs, UNAME='WID_BASE_8'  $
      ,SCR_XSIZE=949 ,SCR_YSIZE=570 ,TITLE='Vector and Circle Display'+ $
      ' Properties' ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  WID_BASE_5 = Widget_Base(WID_BASE_8, UNAME='WID_BASE_5' ,FRAME=1  $
      ,XOFFSET=38 ,YOFFSET=255 ,SCR_XSIZE=362 ,SCR_YSIZE=111  $
      ,TITLE='IDL' ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  Droplist_Reference_Color = Widget_Droplist(WID_BASE_5,  $
      UNAME='Droplist_Reference_Color' ,XOFFSET=48 ,YOFFSET=70  $
      ,TITLE='Reference Vector Color' ,VALUE=[ 'Black', 'White',  $
      'Red', 'Green', 'Blue', 'Cyan', 'Magenta', 'Yellow', 'Orange'  $
      ])

  
  Droplist_Reference_Length = Widget_Droplist(WID_BASE_5,  $
      UNAME='Droplist_Reference_Length' ,XOFFSET=27 ,YOFFSET=22  $
      ,TITLE='Reference Vector Length' ,VALUE=[ '0.5%', '1.0%',  $
      '2.0%', '3.0%', '4.0%', 'No Ref. Vector' ])

  
  WID_BASE_6 = Widget_Base(WID_BASE_8, UNAME='WID_BASE_6' ,FRAME=1  $
      ,XOFFSET=38 ,YOFFSET=156 ,SCR_XSIZE=360 ,SCR_YSIZE=87  $
      ,TITLE='IDL' ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  Droplist_Vector_Thickness = Widget_Droplist(WID_BASE_6,  $
      UNAME='Droplist_Vector_Thickness' ,XOFFSET=67 ,YOFFSET=49  $
      ,TITLE='Vector Thickness' ,VALUE=[ '1 unit', '2 units', '3'+ $
      ' units', '4 units', 'by PSNR' ])

  
  Droplist_Vector_Length = Widget_Droplist(WID_BASE_6,  $
      UNAME='Droplist_Vector_Length' ,XOFFSET=56 ,YOFFSET=16  $
      ,TITLE='Vector Length Scale' ,VALUE=[ '10 pixels', '20 pixels',  $
      '30 pixels', '40 pixels', '50 pixels' ])

  
  WID_BASE_20 = Widget_Base(WID_BASE_8, UNAME='WID_BASE_20' ,FRAME=1  $
      ,XOFFSET=38 ,YOFFSET=21 ,SCR_XSIZE=362 ,SCR_YSIZE=124  $
      ,TITLE='IDL' ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  WID_BASE_17 = Widget_Base(WID_BASE_20, UNAME='WID_BASE_17'  $
      ,XOFFSET=68 ,YOFFSET=93 ,TITLE='IDL' ,COLUMN=1 ,/EXCLUSIVE)

  
  Radio_Length_Pol = Widget_Button(WID_BASE_17,  $
      UNAME='Radio_Length_Pol' ,/ALIGN_LEFT ,VALUE='Polarization'+ $
      ' Percentage')

  
  WID_BASE_16 = Widget_Base(WID_BASE_20, UNAME='WID_BASE_16'  $
      ,XOFFSET=40 ,YOFFSET=32 ,TITLE='IDL' ,COLUMN=1 ,/EXCLUSIVE)

  
  Radio_Length_Uniform = Widget_Button(WID_BASE_16,  $
      UNAME='Radio_Length_Uniform' ,/ALIGN_LEFT ,VALUE='Uniform'+ $
      ' Length')

  
  WID_LABEL_7 = Widget_Label(WID_BASE_20, UNAME='WID_LABEL_7'  $
      ,XOFFSET=21 ,YOFFSET=11 ,/ALIGN_LEFT ,VALUE='Vector LENGTHS'+ $
      ' uniform, log P, or linear in P percentage?')

  
  WID_BASE_12 = Widget_Base(WID_BASE_20, UNAME='WID_BASE_12'  $
      ,XOFFSET=57 ,YOFFSET=62 ,TITLE='IDL' ,COLUMN=1 ,/EXCLUSIVE)

  
  Radio_Length_Log = Widget_Button(WID_BASE_12,  $
      UNAME='Radio_Length_Log' ,/ALIGN_LEFT ,VALUE='Log(P) length')

  
  WID_BASE_21 = Widget_Base(WID_BASE_8, UNAME='WID_BASE_21' ,FRAME=1  $
      ,XOFFSET=426 ,YOFFSET=21 ,SCR_XSIZE=366 ,SCR_YSIZE=277  $
      ,TITLE='IDL' ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  Droplist_PSNR_2 = Widget_Droplist(WID_BASE_21,  $
      UNAME='Droplist_PSNR_2' ,XOFFSET=197 ,YOFFSET=203 ,TITLE='PSNR'+ $
      ' > 2' ,VALUE=[ 'Black', 'White', 'Red', 'Green', 'Blue',  $
      'Cyan', 'Magenta', 'Yellow', 'Orange' ])

  
  Droplist_PSNR_3 = Widget_Droplist(WID_BASE_21,  $
      UNAME='Droplist_PSNR_3' ,XOFFSET=196 ,YOFFSET=171 ,TITLE='PSNR'+ $
      ' > 3' ,VALUE=[ 'Black', 'White', 'Red', 'Green', 'Blue',  $
      'Cyan', 'Magenta', 'Yellow', 'Orange' ])

  
  Droplist_PSNR_5 = Widget_Droplist(WID_BASE_21,  $
      UNAME='Droplist_PSNR_5' ,XOFFSET=197 ,YOFFSET=140 ,TITLE='PSNR'+ $
      ' > 5' ,VALUE=[ 'Black', 'White', 'Red', 'Green', 'Blue',  $
      'Cyan', 'Magenta', 'Yellow', 'Orange' ])

  
  Droplist_PSNR_7 = Widget_Droplist(WID_BASE_21,  $
      UNAME='Droplist_PSNR_7' ,XOFFSET=195 ,YOFFSET=108 ,TITLE='PSNR'+ $
      ' > 7' ,VALUE=[ 'Black', 'White', 'Red', 'Green', 'Blue',  $
      'Cyan', 'Magenta', 'Yellow', 'Orange' ])

  
  Droplist_PSNR_10 = Widget_Droplist(WID_BASE_21,  $
      UNAME='Droplist_PSNR_10' ,XOFFSET=188 ,YOFFSET=76 ,TITLE='PSNR'+ $
      ' > 10' ,VALUE=[ 'Black', 'White', 'Red', 'Green', 'Blue',  $
      'Cyan', 'Magenta', 'Yellow', 'Orange' ])

  
  Droplist_Uniform_Color = Widget_Droplist(WID_BASE_21,  $
      UNAME='Droplist_Uniform_Color' ,XOFFSET=27 ,YOFFSET=80  $
      ,TITLE='Color' ,VALUE=[ 'Black', 'White', 'Red', 'Green',  $
      'Blue', 'Cyan', 'Magenta', 'Yellow', 'Orange' ])

  
  WID_BASE_19 = Widget_Base(WID_BASE_21, UNAME='WID_BASE_19'  $
      ,XOFFSET=190 ,YOFFSET=37 ,TITLE='IDL' ,COLUMN=1 ,/EXCLUSIVE)

  
  Radio_Color_PSNR = Widget_Button(WID_BASE_19,  $
      UNAME='Radio_Color_PSNR' ,/ALIGN_LEFT ,VALUE='Vector Color by'+ $
      ' PSNR')

  
  WID_LABEL_22 = Widget_Label(WID_BASE_21, UNAME='WID_LABEL_22'  $
      ,XOFFSET=90 ,YOFFSET=11 ,/ALIGN_LEFT ,VALUE='Vector COLORS'+ $
      ' Uniform or by PSNR?')

  
  WID_BASE_18 = Widget_Base(WID_BASE_21, UNAME='WID_BASE_18'  $
      ,XOFFSET=27 ,YOFFSET=37 ,TITLE='IDL' ,COLUMN=1 ,/EXCLUSIVE)

  
  Radio_Color_Uniform = Widget_Button(WID_BASE_18,  $
      UNAME='Radio_Color_Uniform' ,/ALIGN_LEFT ,VALUE='Uniform'+ $
      ' Color')

  
  Droplist_PSNR_lt_2 = Widget_Droplist(WID_BASE_21,  $
      UNAME='Droplist_PSNR_lt_2' ,XOFFSET=196 ,YOFFSET=238  $
      ,TITLE='PSNR < 2' ,VALUE=[ 'Black   ', 'Magenta', '' ])

  
  WID_BASE_2 = Widget_Base(WID_BASE_8, UNAME='WID_BASE_2' ,FRAME=1  $
      ,XOFFSET=39 ,YOFFSET=377 ,SCR_XSIZE=362 ,SCR_YSIZE=115  $
      ,TITLE='IDL' ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  WID_LABEL_37 = Widget_Label(WID_BASE_2, UNAME='WID_LABEL_37'  $
      ,XOFFSET=32 ,YOFFSET=14 ,/ALIGN_LEFT ,VALUE='Display Upper'+ $
      ' Limits?')

  
  WID_BASE_3 = Widget_Base(WID_BASE_2, UNAME='WID_BASE_3' ,XOFFSET=31  $
      ,YOFFSET=36 ,TITLE='IDL' ,COLUMN=1 ,/NONEXCLUSIVE)

  
  Checkbox_Show_Circles = Widget_Button(WID_BASE_3,  $
      UNAME='Checkbox_Show_Circles' ,/ALIGN_LEFT ,VALUE='Display'+ $
      ' Upper Limits as Circles')

  
  WID_BASE_4 = Widget_Base(WID_BASE_2, UNAME='WID_BASE_4' ,XOFFSET=30  $
      ,YOFFSET=71 ,TITLE='IDL' ,COLUMN=1 ,/NONEXCLUSIVE)

  
  Checkbox_Separate_Upper_Limits = Widget_Button(WID_BASE_4,  $
      UNAME='Checkbox_Separate_Upper_Limits' ,/ALIGN_LEFT  $
      ,VALUE='Separate Low-P from Faint Star Upper Limits')

  
  WID_BASE_9 = Widget_Base(WID_BASE_8, UNAME='WID_BASE_9' ,FRAME=1  $
      ,XOFFSET=428 ,YOFFSET=305 ,SCR_XSIZE=366 ,SCR_YSIZE=190  $
      ,TITLE='IDL' ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  WID_LABEL_38 = Widget_Label(WID_BASE_9, UNAME='WID_LABEL_38'  $
      ,XOFFSET=111 ,YOFFSET=15 ,/ALIGN_LEFT ,VALUE='Upper Limits'+ $
      ' Color Codings')

  
  Droplist_Faint_Color = Widget_Droplist(WID_BASE_9,  $
      UNAME='Droplist_Faint_Color' ,XOFFSET=27 ,YOFFSET=65  $
      ,TITLE='Color' ,VALUE=[ 'Black', 'White', 'Red', 'Green',  $
      'Blue', 'Cyan', 'Magenta', 'Yellow', 'Orange' ])

  
  Droplist_High_LowP_Color = Widget_Droplist(WID_BASE_9,  $
      UNAME='Droplist_High_LowP_Color' ,XOFFSET=195 ,YOFFSET=69  $
      ,TITLE='-log(PSNR)>5' ,VALUE=[ 'Black', 'White', 'Red',  $
      'Green', 'Blue', 'Cyan', 'Magenta', 'Yellow', 'Orange' ])

  
  WID_LABEL_39 = Widget_Label(WID_BASE_9, UNAME='WID_LABEL_39'  $
      ,XOFFSET=12 ,YOFFSET=43 ,/ALIGN_LEFT ,VALUE='Faint Stars (Or'+ $
      ' All Upper Limits)')

  
  Droplist_Med_LowP_Color = Widget_Droplist(WID_BASE_9,  $
      UNAME='Droplist_Med_LowP_Color' ,XOFFSET=196 ,YOFFSET=104  $
      ,TITLE='-log(PSNR)>3' ,VALUE=[ 'Black', 'White', 'Red',  $
      'Green', 'Blue', 'Cyan', 'Magenta', 'Yellow', 'Orange' ])

  
  Droplist_Low_LowP_Color = Widget_Droplist(WID_BASE_9,  $
      UNAME='Droplist_Low_LowP_Color' ,XOFFSET=196 ,YOFFSET=145  $
      ,TITLE='-log(PSNR)<3' ,VALUE=[ 'Black', 'White', 'Red',  $
      'Green', 'Blue', 'Cyan', 'Magenta', 'Yellow', 'Orange' ])

  
  WID_LABEL_40 = Widget_Label(WID_BASE_9, UNAME='WID_LABEL_40'  $
      ,XOFFSET=209 ,YOFFSET=43 ,/ALIGN_LEFT ,VALUE='Low-P Star (by'+ $
      ' -log(PSNR))')

  
  Droplist_Upper_Radius = Widget_Droplist(WID_BASE_9,  $
      UNAME='Droplist_Upper_Radius' ,XOFFSET=31 ,YOFFSET=103  $
      ,TITLE='Circle Radius' ,VALUE=[ '5 pixels', '8 pixels', '10'+ $
      ' pixels', '20 pixels', '25 pixels' ])

  
  Droplist_Upper_Thickness = Widget_Droplist(WID_BASE_9,  $
      UNAME='Droplist_Upper_Thickness' ,XOFFSET=14 ,YOFFSET=140  $
      ,TITLE='Circle Thickness' ,VALUE=[ '1 unit', '2 units', '3'+ $
      ' units', '4 units' ])

  
  WID_BASE_0 = Widget_Base(PPT_Tabs, UNAME='WID_BASE_0'  $
      ,SCR_XSIZE=949 ,SCR_YSIZE=570 ,TITLE='Provisional Plot and File'+ $
      ' Saving' ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  Draw_Final_Plot = Widget_Draw(WID_BASE_0, UNAME='Draw_Final_Plot'  $
      ,XOFFSET=7 ,YOFFSET=4 ,SCR_XSIZE=717 ,SCR_YSIZE=562  $
      ,TRACKING_EVENTS=1 ,/MOTION_EVENTS ,/KEYBOARD_EVENTS)

  
  Button_Write_Region = Widget_Button(WID_BASE_0,  $
      UNAME='Button_Write_Region' ,XOFFSET=765 ,YOFFSET=298  $
      ,/ALIGN_CENTER ,VALUE='Write DS9 Region File')

  
  Button_Write_Postscript = Widget_Button(WID_BASE_0,  $
      UNAME='Button_Write_Postscript' ,XOFFSET=763 ,YOFFSET=362  $
      ,/ALIGN_CENTER ,VALUE='Write Postscript Plot File')

  
  WID_BASE_1 = Widget_Base(WID_BASE_0, UNAME='WID_BASE_1'  $
      ,XOFFSET=756 ,YOFFSET=67 ,TITLE='IDL' ,COLUMN=1 ,/NONEXCLUSIVE)

  
  Button_Plot_Title = Widget_Button(WID_BASE_1,  $
      UNAME='Button_Plot_Title' ,/ALIGN_LEFT ,VALUE='Plot Filename as'+ $
      ' Title')

  
  Text_Plot_Offset = Widget_Text(WID_BASE_0, UNAME='Text_Plot_Offset'  $
      ,XOFFSET=756 ,YOFFSET=114 ,/EDITABLE ,/ALL_EVENTS ,VALUE=[  $
      '<None>' ] ,XSIZE=8 ,YSIZE=1)

  
  Text_Plot_Range = Widget_Text(WID_BASE_0, UNAME='Text_Plot_Range'  $
      ,XOFFSET=759 ,YOFFSET=152 ,/EDITABLE ,/ALL_EVENTS ,VALUE=[  $
      '<None>' ] ,XSIZE=8 ,YSIZE=1)

  
  WID_LABEL_35 = Widget_Label(WID_BASE_0, UNAME='WID_LABEL_35'  $
      ,XOFFSET=818 ,YOFFSET=118 ,/ALIGN_LEFT ,VALUE='Plot Offset (log'+ $
      ' counts)')

  
  WID_LABEL_36 = Widget_Label(WID_BASE_0, UNAME='WID_LABEL_36'  $
      ,XOFFSET=823 ,YOFFSET=153 ,/ALIGN_LEFT ,VALUE='Plot Range'+ $
      ' (dex)')

  Widget_Control, /REALIZE, PPT_TLB

  XManager, 'PPT_TLB', PPT_TLB, /NO_BLOCK  

end
; 
; Empty stub procedure used for autoloading.
; 
pro MSP_PPT, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
  PPT_TLB, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
end
